#
# spec file for package golang
#
# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%global provider        github
%global provider_tld    com
%global project         kr
%global repo            pty
%global provider_prefix %{provider}.%{provider_tld}/%{project}/%{repo}
%global import_path     %{provider_prefix}

Name:           golang-%{provider}-%{project}-%{repo}
Version:        0.0.0+git20160716.ce7fa45
Release:        lp151.2.3
Summary:        PTY interface for Go
License:        MIT
Group:          Development/Languages/Golang
Url:            https://%{provider_prefix}
Source0:        %{repo}-%{version}.tar.xz
Source1:        rpmlintrc
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

BuildRequires:  golang-packaging
BuildRequires:  xz

%{go_nostrip}
%{go_provides}

%description
Pty is a Go package for using unix pseudo-terminals.

%prep
%setup -q -n %{repo}-%{version}

%build
%goprep %{import_path}
%gobuild ...

%install
%goinstall
%gosrc
%gofilelist

%check
%gotest %{import_path}...

%files -f file.lst
%defattr(-,root,root,-)
%doc README.md License

%changelog
* Thu Dec  8 2016 tboerger@suse.com
- Update to version 0.0.0+git20160716.ce7fa45:
  * Add support for Power (ppc64, ppc64le) and System z (s390x)
  * Remove ioctl_* constants on Linux
  * Remove uintptr(...)
  * Add support for ARM64
  * Prevent arm64 file to be compiled anywhere else. Fixed #32.
  * run: don't override supplied SysProcAttr
  * Don't attempt to build on windows
  * Support DragonFly BSD
  * Reformat pty_dragonfly.go file using gofmt
* Thu Dec  8 2016 tboerger@suse.com
- Refactoring based on new packaging proposal
* Sun Jul 12 2015 i@marguerite.su
- initial version 0.0.0+git20150511.5cf931e
